#email reminder app

#1 survey analysis

#read google doc

library (googlesheets)
gs_auth()

PIlist = gs_url ("https://docs.google.com/spreadsheets/d/1jVBj0RBZ4zFwtL1dcy-D9UA_QRvkGhX8s5_sWI8toEk/edit#gid=390395480")

data= googlesheets::gs_read_csv(PIlist, skip =2)

remind = data[data$`Data Survey`== "0",]

text2= ""
for (i in c(1:15)) {
  text =paste0("<a href='mailto:", remind$Email[i], "?subject=SFB1315-data&body=Dear Prof. ",remind$`Last name`[i],", '> ",i,remind$`Last name`[i]," </a>")
  text2 = paste0 (text2, text, collapse = "<br>")
}




fileConn<-file("remind.html")
writeLines(c(text2), fileConn)
close(fileConn)

# 2 image and orcid

peoplelist <- read_delim("~/Documents/Seafile/SFB1315info/allpeople.csv", 
                                         "\t", escape_double = FALSE, trim_ws = TRUE)

peoplelist_sub = peoplelist[!is.na(peoplelist$SFBgroup),]

groups = unique(peoplelist_sub$SFBgroup)

text2 = ""
for (group in groups){
  #group = "Z"
  peoplelist_group <- peoplelist_sub[peoplelist_sub$SFBgroup == group,]
  
  emails = paste0(peoplelist_group$email, collapse = ",")
  text_mail = "
  
As explained in my previous email, we want to present each project and each researcher on the sfb1315-output.de website. 

It would be more efficient if you could indicate one person of contact for the creation of the project page, so that my future emails do not go to all of you. 
(Note that if you have no time to create a figure with Thomas Splettstoesser before the website launch, we will need to use another image as a thumbnail.)

For the personal pages, I need you to get and update your orcid profile (see https://www.sfb1315-output.de/post/using-orcid/). 


Best regards and stay safe,
"
  text =paste0("<a href='mailto:", emails,
               "?subject=making SFB1315-output.de awesome&body=Dear members of project ",group,",", gsub('&NewLine;','%0D%0A',textutils::HTMLencode(text_mail))
               ," '> ",
               group," </a>")
  
  text2 = paste0 (text2, text, sep = "<br>")
  
  
}

fileConn<-file("remind.html")
writeLines(c(text2), fileConn)
close(fileConn)

